# Uses of Interface
org.mariadb.jdbc.util.timeout.QueryTimeoutHandler

Packages that use QueryTimeoutHandler
Package
Description
org.mariadb.jdbc
org.mariadb.jdbc.util.timeout

## Uses of QueryTimeoutHandler in org.mariadb.jdbc

Methods in org.mariadb.jdbc that return QueryTimeoutHandler
Modifier and Type
Method
Description
`QueryTimeoutHandler`
Connection.`handleTimeout(int queryTimeout)`
Return a QueryTimeoutHandler for old server that don't support Statement timeout.

## Uses of QueryTimeoutHandler in org.mariadb.jdbc.util.timeout

Classes in org.mariadb.jdbc.util.timeout that implement QueryTimeoutHandler
Modifier and Type
Class
Description
`class`
`NoOpQueryTimeoutHandler`
Default no op query timeout.
`class`
`QueryTimeoutHandlerImpl`
Methods in org.mariadb.jdbc.util.timeout that return QueryTimeoutHandler
Modifier and Type
Method
Description
`QueryTimeoutHandler`
NoOpQueryTimeoutHandler.`create(int queryTimeout)`
`QueryTimeoutHandler`
QueryTimeoutHandler.`create(int queryTimeout)`
`QueryTimeoutHandler`
QueryTimeoutHandlerImpl.`create(int queryTimeout)`